# Add or update legal value for the context field POST https://app.unleash-instance.example.com/api/admin/context/{contextField}/legal-values Content-Type: application/json Endpoint that allows adding or updating a single custom context field legal value. If the legal value already exists, it will be updated with the new description Reference: https://docs.getunleash.io/api/update-context-field-legal-value ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Add or update legal value for the context field version: endpoint_context.updateContextFieldLegalValue paths: /api/admin/context/{contextField}/legal-values: post: operationId: update-context-field-legal-value summary: Add or update legal value for the context field description: >- Endpoint that allows adding or updating a single custom context field legal value. If the legal value already exists, it will be updated with the new description tags: - - subpackage_context parameters: - name: contextField in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Context_updateContextFieldLegalValue_Response_200 requestBody: description: legalValueSchema content: application/json: schema: $ref: '#/components/schemas/legalValueSchema' components: schemas: legalValueSchema: type: object properties: value: type: string description: The valid value description: type: string description: Describes this specific legal value required: - value Context_updateContextFieldLegalValue_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values" payload = { "value": "#c154c1" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"value":"#c154c1"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values" payload := strings.NewReader("{\n \"value\": \"#c154c1\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"value\": \"#c154c1\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"value\": \"#c154c1\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values', [ 'body' => '{ "value": "#c154c1" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"value\": \"#c154c1\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["value": "#c154c1"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```